Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network28.1.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
28.1.0.0
Broadcast address
28.1.127.255
First usable
28.1.0.1
Last usable
28.1.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 1C010000 · Integer 469827584 to 469860351
Reverse DNS zones
0.1.28.in-addr.arpa
1.1.28.in-addr.arpa
2.1.28.in-addr.arpa
3.1.28.in-addr.arpa
4.1.28.in-addr.arpa
5.1.28.in-addr.arpa
6.1.28.in-addr.arpa
7.1.28.in-addr.arpa
8.1.28.in-addr.arpa
9.1.28.in-addr.arpa
10.1.28.in-addr.arpa
11.1.28.in-addr.arpa
12.1.28.in-addr.arpa
13.1.28.in-addr.arpa
14.1.28.in-addr.arpa
15.1.28.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011100.00000001.00000000.0000000028.1.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00011100.00000001.00000000.0000000028.1.0.0
Broadcast00011100.00000001.01111111.1111111128.1.127.255
Split into smaller subnets/24

28.1.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
128.1.0.0/2428.1.0.1 to 28.1.0.25428.1.0.255254
228.1.1.0/2428.1.1.1 to 28.1.1.25428.1.1.255254
328.1.2.0/2428.1.2.1 to 28.1.2.25428.1.2.255254
428.1.3.0/2428.1.3.1 to 28.1.3.25428.1.3.255254
528.1.4.0/2428.1.4.1 to 28.1.4.25428.1.4.255254
628.1.5.0/2428.1.5.1 to 28.1.5.25428.1.5.255254
728.1.6.0/2428.1.6.1 to 28.1.6.25428.1.6.255254
828.1.7.0/2428.1.7.1 to 28.1.7.25428.1.7.255254
928.1.8.0/2428.1.8.1 to 28.1.8.25428.1.8.255254
1028.1.9.0/2428.1.9.1 to 28.1.9.25428.1.9.255254
1128.1.10.0/2428.1.10.1 to 28.1.10.25428.1.10.255254
1228.1.11.0/2428.1.11.1 to 28.1.11.25428.1.11.255254
1328.1.12.0/2428.1.12.1 to 28.1.12.25428.1.12.255254
1428.1.13.0/2428.1.13.1 to 28.1.13.25428.1.13.255254
1528.1.14.0/2428.1.14.1 to 28.1.14.25428.1.14.255254
1628.1.15.0/2428.1.15.1 to 28.1.15.25428.1.15.255254
1728.1.16.0/2428.1.16.1 to 28.1.16.25428.1.16.255254
1828.1.17.0/2428.1.17.1 to 28.1.17.25428.1.17.255254
1928.1.18.0/2428.1.18.1 to 28.1.18.25428.1.18.255254
2028.1.19.0/2428.1.19.1 to 28.1.19.25428.1.19.255254
2128.1.20.0/2428.1.20.1 to 28.1.20.25428.1.20.255254
2228.1.21.0/2428.1.21.1 to 28.1.21.25428.1.21.255254
2328.1.22.0/2428.1.22.1 to 28.1.22.25428.1.22.255254
2428.1.23.0/2428.1.23.1 to 28.1.23.25428.1.23.255254
2528.1.24.0/2428.1.24.1 to 28.1.24.25428.1.24.255254
2628.1.25.0/2428.1.25.1 to 28.1.25.25428.1.25.255254
2728.1.26.0/2428.1.26.1 to 28.1.26.25428.1.26.255254
2828.1.27.0/2428.1.27.1 to 28.1.27.25428.1.27.255254
2928.1.28.0/2428.1.28.1 to 28.1.28.25428.1.28.255254
3028.1.29.0/2428.1.29.1 to 28.1.29.25428.1.29.255254
3128.1.30.0/2428.1.30.1 to 28.1.30.25428.1.30.255254
3228.1.31.0/2428.1.31.1 to 28.1.31.25428.1.31.255254
3328.1.32.0/2428.1.32.1 to 28.1.32.25428.1.32.255254
3428.1.33.0/2428.1.33.1 to 28.1.33.25428.1.33.255254
3528.1.34.0/2428.1.34.1 to 28.1.34.25428.1.34.255254
3628.1.35.0/2428.1.35.1 to 28.1.35.25428.1.35.255254
3728.1.36.0/2428.1.36.1 to 28.1.36.25428.1.36.255254
3828.1.37.0/2428.1.37.1 to 28.1.37.25428.1.37.255254
3928.1.38.0/2428.1.38.1 to 28.1.38.25428.1.38.255254
4028.1.39.0/2428.1.39.1 to 28.1.39.25428.1.39.255254
4128.1.40.0/2428.1.40.1 to 28.1.40.25428.1.40.255254
4228.1.41.0/2428.1.41.1 to 28.1.41.25428.1.41.255254
4328.1.42.0/2428.1.42.1 to 28.1.42.25428.1.42.255254
4428.1.43.0/2428.1.43.1 to 28.1.43.25428.1.43.255254
4528.1.44.0/2428.1.44.1 to 28.1.44.25428.1.44.255254
4628.1.45.0/2428.1.45.1 to 28.1.45.25428.1.45.255254
4728.1.46.0/2428.1.46.1 to 28.1.46.25428.1.46.255254
4828.1.47.0/2428.1.47.1 to 28.1.47.25428.1.47.255254
4928.1.48.0/2428.1.48.1 to 28.1.48.25428.1.48.255254
5028.1.49.0/2428.1.49.1 to 28.1.49.25428.1.49.255254
5128.1.50.0/2428.1.50.1 to 28.1.50.25428.1.50.255254
5228.1.51.0/2428.1.51.1 to 28.1.51.25428.1.51.255254
5328.1.52.0/2428.1.52.1 to 28.1.52.25428.1.52.255254
5428.1.53.0/2428.1.53.1 to 28.1.53.25428.1.53.255254
5528.1.54.0/2428.1.54.1 to 28.1.54.25428.1.54.255254
5628.1.55.0/2428.1.55.1 to 28.1.55.25428.1.55.255254
5728.1.56.0/2428.1.56.1 to 28.1.56.25428.1.56.255254
5828.1.57.0/2428.1.57.1 to 28.1.57.25428.1.57.255254
5928.1.58.0/2428.1.58.1 to 28.1.58.25428.1.58.255254
6028.1.59.0/2428.1.59.1 to 28.1.59.25428.1.59.255254
6128.1.60.0/2428.1.60.1 to 28.1.60.25428.1.60.255254
6228.1.61.0/2428.1.61.1 to 28.1.61.25428.1.61.255254
6328.1.62.0/2428.1.62.1 to 28.1.62.25428.1.62.255254
6428.1.63.0/2428.1.63.1 to 28.1.63.25428.1.63.255254
6528.1.64.0/2428.1.64.1 to 28.1.64.25428.1.64.255254
6628.1.65.0/2428.1.65.1 to 28.1.65.25428.1.65.255254
6728.1.66.0/2428.1.66.1 to 28.1.66.25428.1.66.255254
6828.1.67.0/2428.1.67.1 to 28.1.67.25428.1.67.255254
6928.1.68.0/2428.1.68.1 to 28.1.68.25428.1.68.255254
7028.1.69.0/2428.1.69.1 to 28.1.69.25428.1.69.255254
7128.1.70.0/2428.1.70.1 to 28.1.70.25428.1.70.255254
7228.1.71.0/2428.1.71.1 to 28.1.71.25428.1.71.255254
7328.1.72.0/2428.1.72.1 to 28.1.72.25428.1.72.255254
7428.1.73.0/2428.1.73.1 to 28.1.73.25428.1.73.255254
7528.1.74.0/2428.1.74.1 to 28.1.74.25428.1.74.255254
7628.1.75.0/2428.1.75.1 to 28.1.75.25428.1.75.255254
7728.1.76.0/2428.1.76.1 to 28.1.76.25428.1.76.255254
7828.1.77.0/2428.1.77.1 to 28.1.77.25428.1.77.255254
7928.1.78.0/2428.1.78.1 to 28.1.78.25428.1.78.255254
8028.1.79.0/2428.1.79.1 to 28.1.79.25428.1.79.255254
8128.1.80.0/2428.1.80.1 to 28.1.80.25428.1.80.255254
8228.1.81.0/2428.1.81.1 to 28.1.81.25428.1.81.255254
8328.1.82.0/2428.1.82.1 to 28.1.82.25428.1.82.255254
8428.1.83.0/2428.1.83.1 to 28.1.83.25428.1.83.255254
8528.1.84.0/2428.1.84.1 to 28.1.84.25428.1.84.255254
8628.1.85.0/2428.1.85.1 to 28.1.85.25428.1.85.255254
8728.1.86.0/2428.1.86.1 to 28.1.86.25428.1.86.255254
8828.1.87.0/2428.1.87.1 to 28.1.87.25428.1.87.255254
8928.1.88.0/2428.1.88.1 to 28.1.88.25428.1.88.255254
9028.1.89.0/2428.1.89.1 to 28.1.89.25428.1.89.255254
9128.1.90.0/2428.1.90.1 to 28.1.90.25428.1.90.255254
9228.1.91.0/2428.1.91.1 to 28.1.91.25428.1.91.255254
9328.1.92.0/2428.1.92.1 to 28.1.92.25428.1.92.255254
9428.1.93.0/2428.1.93.1 to 28.1.93.25428.1.93.255254
9528.1.94.0/2428.1.94.1 to 28.1.94.25428.1.94.255254
9628.1.95.0/2428.1.95.1 to 28.1.95.25428.1.95.255254
9728.1.96.0/2428.1.96.1 to 28.1.96.25428.1.96.255254
9828.1.97.0/2428.1.97.1 to 28.1.97.25428.1.97.255254
9928.1.98.0/2428.1.98.1 to 28.1.98.25428.1.98.255254
10028.1.99.0/2428.1.99.1 to 28.1.99.25428.1.99.255254
10128.1.100.0/2428.1.100.1 to 28.1.100.25428.1.100.255254
10228.1.101.0/2428.1.101.1 to 28.1.101.25428.1.101.255254
10328.1.102.0/2428.1.102.1 to 28.1.102.25428.1.102.255254
10428.1.103.0/2428.1.103.1 to 28.1.103.25428.1.103.255254
10528.1.104.0/2428.1.104.1 to 28.1.104.25428.1.104.255254
10628.1.105.0/2428.1.105.1 to 28.1.105.25428.1.105.255254
10728.1.106.0/2428.1.106.1 to 28.1.106.25428.1.106.255254
10828.1.107.0/2428.1.107.1 to 28.1.107.25428.1.107.255254
10928.1.108.0/2428.1.108.1 to 28.1.108.25428.1.108.255254
11028.1.109.0/2428.1.109.1 to 28.1.109.25428.1.109.255254
11128.1.110.0/2428.1.110.1 to 28.1.110.25428.1.110.255254
11228.1.111.0/2428.1.111.1 to 28.1.111.25428.1.111.255254
11328.1.112.0/2428.1.112.1 to 28.1.112.25428.1.112.255254
11428.1.113.0/2428.1.113.1 to 28.1.113.25428.1.113.255254
11528.1.114.0/2428.1.114.1 to 28.1.114.25428.1.114.255254
11628.1.115.0/2428.1.115.1 to 28.1.115.25428.1.115.255254
11728.1.116.0/2428.1.116.1 to 28.1.116.25428.1.116.255254
11828.1.117.0/2428.1.117.1 to 28.1.117.25428.1.117.255254
11928.1.118.0/2428.1.118.1 to 28.1.118.25428.1.118.255254
12028.1.119.0/2428.1.119.1 to 28.1.119.25428.1.119.255254
12128.1.120.0/2428.1.120.1 to 28.1.120.25428.1.120.255254
12228.1.121.0/2428.1.121.1 to 28.1.121.25428.1.121.255254
12328.1.122.0/2428.1.122.1 to 28.1.122.25428.1.122.255254
12428.1.123.0/2428.1.123.1 to 28.1.123.25428.1.123.255254
12528.1.124.0/2428.1.124.1 to 28.1.124.25428.1.124.255254
12628.1.125.0/2428.1.125.1 to 28.1.125.25428.1.125.255254
12728.1.126.0/2428.1.126.1 to 28.1.126.25428.1.126.255254
12828.1.127.0/2428.1.127.1 to 28.1.127.25428.1.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses